Page MenuHomePhabricator

elementary: add Efl.Ui.Widget_Factory.
ClosedPublic

Authored by cedric on Jan 18 2019, 6:08 PM.

Details

Summary

The Widget_Factory is in charge of creating any object that inherit from Efl.Ui.Widget Class.
If the style property is connected to a model property, it will fetch it and build the widget
with that style. This factory is to be used with every View.

Diff Detail

Repository
rEFL core/efl
Branch
devs/cedric/widget_factory
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9099
cedric created this revision.Jan 18 2019, 6:08 PM

Factories do not have any test infrastructure at the moment. I think I have an idea on how to do so and will try to come up with something next week.

cedric updated this revision to Diff 18766.Jan 23 2019, 12:42 PM
cedric edited the summary of this revision. (Show Details)

Rebase.

Docs look OK.

src/lib/elementary/efl_ui_widget_factory.eo
6

*optionally

cedric updated this revision to Diff 18825.Jan 24 2019, 4:27 PM

Rebase and fix documentation.

cedric updated this revision to Diff 18828.Jan 24 2019, 4:45 PM
cedric edited the summary of this revision. (Show Details)

Rebase and actually correct the doc.

SanghyeonLee accepted this revision.Jan 29 2019, 2:46 AM

Looks good to me.

This revision is now accepted and ready to land.Jan 29 2019, 2:46 AM
This revision was automatically updated to reflect the committed changes.